Package org.h2.bnf

# Class RuleFixed

java.lang.Object
org.h2.bnf.RuleFixed

All Implemented Interfaces:
  `Rule`

public class RuleFixed extends Object implements Rule
Represents a hard coded terminal rule in a BNF object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AF`
`static final int`
`ANY_EXCEPT_2_DOLLAR`
`static final int`
`ANY_EXCEPT_DOUBLE_QUOTE`
`static final int`
`ANY_EXCEPT_SINGLE_QUOTE`
`static final int`
`ANY_UNTIL_END`
`static final int`
`ANY_UNTIL_EOL`
`static final int`
`ANY_WORD`
`static final int`
`AZ_UNDERSCORE`
`static final int`
`BINARY_START`
`static final int`
`CLOSE_BRACKET`
`static final int`
`CONCAT`
`static final int`
`DIGIT`
`static final int`
`HEX_START`
`static final int`
`HMS`
`static final int`
`JSON_TEXT`
`static final int`
`NANOS`
`static final int`
`OCTAL_START`
`static final int`
`OPEN_BRACKET`
`static final int`
`YMD`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(BnfVisitor visitor)`
Call the visit method in the given visitor.
`boolean`
`autoComplete(Sentence sentence)`
Add the next possible token(s).
`void`
`setLinks(HashMap<String,RuleHead> ruleMap)`
Update cross references.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### YMD

public static final int YMD

See Also:
  - Constant Field Values

### HMS

public static final int HMS

See Also:
  - Constant Field Values

### NANOS

public static final int NANOS

See Also:
  - Constant Field Values

### ANY_EXCEPT_SINGLE_QUOTE

public static final int ANY_EXCEPT_SINGLE_QUOTE

See Also:
  - Constant Field Values

### ANY_EXCEPT_DOUBLE_QUOTE

public static final int ANY_EXCEPT_DOUBLE_QUOTE

See Also:
  - Constant Field Values

### ANY_UNTIL_EOL

public static final int ANY_UNTIL_EOL

See Also:
  - Constant Field Values

### ANY_UNTIL_END

public static final int ANY_UNTIL_END

See Also:
  - Constant Field Values

### ANY_WORD

public static final int ANY_WORD

See Also:
  - Constant Field Values

### ANY_EXCEPT_2_DOLLAR

public static final int ANY_EXCEPT_2_DOLLAR

See Also:
  - Constant Field Values

### HEX_START

public static final int HEX_START

See Also:
  - Constant Field Values

### OCTAL_START

public static final int OCTAL_START

See Also:
  - Constant Field Values

### BINARY_START

public static final int BINARY_START

See Also:
  - Constant Field Values

### CONCAT

public static final int CONCAT

See Also:
  - Constant Field Values

### AZ_UNDERSCORE

public static final int AZ_UNDERSCORE

See Also:
  - Constant Field Values

### AF

public static final int AF

See Also:
  - Constant Field Values

### DIGIT

public static final int DIGIT

See Also:
  - Constant Field Values

### OPEN_BRACKET

public static final int OPEN_BRACKET

See Also:
  - Constant Field Values

### CLOSE_BRACKET

public static final int CLOSE_BRACKET

See Also:
  - Constant Field Values

### JSON_TEXT

public static final int JSON_TEXT

See Also:
  - Constant Field Values

## Method Details

### accept

public void accept(BnfVisitor visitor)
Description copied from interface: `Rule`
Call the visit method in the given visitor.

Specified by:
  `accept` in interface `Rule`
Parameters:
  `visitor` - the visitor

### setLinks

public void setLinks(HashMap<String,RuleHead> ruleMap)
Description copied from interface: `Rule`
Update cross references.

Specified by:
  `setLinks` in interface `Rule`
Parameters:
  `ruleMap` - the reference map

### autoComplete

public boolean autoComplete(Sentence sentence)
Description copied from interface: `Rule`
Add the next possible token(s). If there was a match, the query in the sentence is updated (the matched token is removed).

Specified by:
  `autoComplete` in interface `Rule`
Parameters:
  `sentence` - the sentence context
Returns:
  true if a full match

### toString

public String toString()

Overrides:
  `toString` in class `Object`